<p-tabView [(activeIndex)]="tab_index">
    <p-tabPanel header="Timeframe">
        <app-timeframe *ngIf="tab_index==0" [users]="users" [usershash]="usershash" [pinned_locations]="pinned_locations"></app-timeframe>
    </p-tabPanel>
    <p-tabPanel header="Descriptions">
        <app-description *ngIf="tab_index==1"></app-description>
    </p-tabPanel>
    <p-tabPanel header="Users">
        <app-users *ngIf="tab_index==2" [usershash]="usershash" [pinned_locations]="pinned_locations"></app-users>
    </p-tabPanel>
</p-tabView>